<?php

class SiteController extends Controller
{

	/**
	 * Html Report
	 */
	public function actionIndex()
	{
		$pages = '1-4';
		$re = new JasperReport('/reports/samples/AllAccounts');
      	$re->exec();
      	$html = $re->toHTML($pages);
		$this->render('index', array('html' => $html));
	}

	/**
	 * Pdf Report
	 */
	public function actionPdf()
	{
		$re = new JasperReport('/reports/samples/AllAccounts');
      	$re->exec();
      	echo $re->toPDF();
	}

	/**
	 * Xls Report
	 */
	public function actionXLS()
	{
		$re = new JasperReport('/reports/samples/AllAccounts');
      	$re->exec();
      	echo $re->toXLS(8); //Page 8
	}	

	/**
	 * Widget Report
	 */
	public function actionWidget()
	{
		$this->render('widget');
	}	

/************************************************************************************************************/
/**************** Below actions created by Yiic webapp command doesn't used for YiiJasper *******************/
/************************************************************************************************************/
	/**
	 * This is the action to handle external exceptions.
	 */
	public function actionError()
	{
		if($error=Yii::app()->errorHandler->error)
		{
			if(Yii::app()->request->isAjaxRequest)
				echo $error['message'];
			else
				$this->render('error', $error);
		}
	}

	/**
	 * Displays the contact page
	 */
	public function actionContact()
	{
		$model=new ContactForm;
		if(isset($_POST['ContactForm']))
		{
			$model->attributes=$_POST['ContactForm'];
			if($model->validate())
			{
				$name='=?UTF-8?B?'.base64_encode($model->name).'?=';
				$subject='=?UTF-8?B?'.base64_encode($model->subject).'?=';
				$headers="From: $name <{$model->email}>\r\n".
					"Reply-To: {$model->email}\r\n".
					"MIME-Version: 1.0\r\n".
					"Content-Type: text/plain; charset=UTF-8";

				mail(Yii::app()->params['adminEmail'],$subject,$model->body,$headers);
				Yii::app()->user->setFlash('contact','Thank you for contacting us. We will respond to you as soon as possible.');
				$this->refresh();
			}
		}
		$this->render('contact',array('model'=>$model));
	}

	/**
	 * Displays the login page
	 */
	public function actionLogin()
	{
		$model=new LoginForm;

		// if it is ajax validation request
		if(isset($_POST['ajax']) && $_POST['ajax']==='login-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}

		// collect user input data
		if(isset($_POST['LoginForm']))
		{
			$model->attributes=$_POST['LoginForm'];
			// validate user input and redirect to the previous page if valid
			if($model->validate() && $model->login())
				$this->redirect(Yii::app()->user->returnUrl);
		}
		// display the login form
		$this->render('login',array('model'=>$model));
	}

	/**
	 * Logs out the current user and redirect to homepage.
	 */
	public function actionLogout()
	{
		Yii::app()->user->logout();
		$this->redirect(Yii::app()->homeUrl);
	}
}